Transaction Refund

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

NameTypeDescription
ipayIdStringInstantpay OrderID that need to be refunded
referenceKeyStringReference key received in Transaction OTP Refund response
otpStringOTP will be sent to the remitter's mobile number

Sample Request

curl --location 'https://api.instantpay.in/fi/remit/out/domestic/v2/transactionRefund' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'X-Ipay-Client-Id: {{clientID}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Outlet-Id: 525216' \
--header 'Content-Type: application/json' \
--data '{
    "ipayId":"1260113092551HCQRL",
		"referenceKey": "{{ReversalAuthorisation}}",
    "otp":"190490"
}'
POST /fi/remit/out/domestic/v2/transactionRefund HTTP/1.1
Host: api.instantpay.in
X-Ipay-Endpoint-Ip: 14.142.186.142
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Auth-Code: 1
X-Ipay-Outlet-Id: 525216
Content-Type: application/json
Content-Length: 37

{
    "ipayId":"1260113092551HCQRL",
		"referenceKey": "{{ReversalAuthorisation}}",
    "otp":"190490"	
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive
Body Params
string

Mobile Number of remitter

Headers
string

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Merchant unique ID

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json